Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 71360 - media-video/avifile-0.7.41.20041001-r1 internal ffmpeg fails to compile
Summary: media-video/avifile-0.7.41.20041001-r1 internal ffmpeg fails to compile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
: 74310 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-11-15 23:10 UTC by John5788
Modified: 2005-05-07 21:09 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Fixes issue mentioned in Comment #14 (avifile-0.7.41.20041001-mmx.patch,609 bytes, patch)
2005-01-01 08:54 UTC, Stian Skjelstad
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John5788 2004-11-15 23:10:43 UTC
I end up with this message when trying to compile it:

In file included from postprocess.c:648:
postprocess_template.c: In function `postProcess_MMX':
postprocess_template.c:3172: error: can't find a register in class `GENERAL_REGS' while reloading `asm'
postprocess_template.c:3255: error: can't find a register in class `GENERAL_REGS' while reloading `asm'
make[3]: *** [postprocess.lo] Error 1
make[3]: Leaving directory `/var/tmp/portage/avifile-0.7.41.20041001-r1/work/avifile-0.7-0.7.41/ffmpeg/libavcodec/libpostproc'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/avifile-0.7.41.20041001-r1/work/avifile-0.7-0.7.41/ffmpeg/libavcodec'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/avifile-0.7.41.20041001-r1/work/avifile-0.7-0.7.41/ffmpeg'
make: *** [all-recursive] Error 1

!!! ERROR: media-video/avifile-0.7.41.20041001-r1 failed.
!!! Function src_compile, Line 135, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.
Comment 1 Martin Holzer (RETIRED) gentoo-dev 2004-11-16 03:49:52 UTC
you forgot to provide
#emerge info
Comment 2 John5788 2004-11-16 06:55:13 UTC
emerge info
Portage 2.0.51-r3 (default-linux/x86/2004.3, gcc-3.3.4, glibc-2.3.4.20040808-r1, 2.6.9-nitro3 i686)
=================================================================
System uname: 2.6.9-nitro3 i686 Intel(R) Pentium(R) 4 CPU 3.00GHz
Gentoo Base System version 1.4.16
Autoconf: sys-devel/autoconf-2.59-r5
Automake: sys-devel/automake-1.8.5-r1
Binutils: sys-devel/binutils-2.14.90.0.8-r1
Headers:  sys-kernel/linux26-headers-2.6.8.1
Libtools: sys-devel/libtool-1.5.2-r5
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-pipe -O1 -Wall -march=pentium4 -mcpu=pentium4 -ftracer -fno-thread-jumps -fcse-follow-jumps -fno-merge-constants -fsched-interblock -fprefetch-loop-arrays -falign-labels -fmove-all-movables -fno-omit-frame-pointer -fno-if-conversion2 -fno-defer-pop -maccumulate-outgoing-args -freduce-all-givs -freorder-functions -mno-align-stringops -fno-cprop-registers -falign-jumps -foptimize-sibling-calls"
CHOST="i686-pc-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3/share/config /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-pipe -O1 -Wall -march=pentium4 -mcpu=pentium4 -ftracer -fno-thread-jumps -fcse-follow-jumps -fno-merge-constants -fsched-interblock -fprefetch-loop-arrays -falign-labels -fmove-all-movables -fno-omit-frame-pointer -fno-if-conversion2 -fno-defer-pop -maccumulate-outgoing-args -freduce-all-givs -freorder-functions -mno-align-stringops -fno-cprop-registers -falign-jumps -foptimize-sibling-calls"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs candy ccache distlocks sandbox sfperms"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo http://mirror.tucdemonic.org/gentoo/ http://gentoo.ccccom.com ftp://gentoo.ccccom.com"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X alsa apm avi berkdb bitmap-fonts cdr crypt dga divx4linux dvd encode esd f77 fam flac foomaticdb fortran gdbm gif gpm gtk gtk2 imagemagick imlib java joystick jpeg libg++ libwww mad mikmod mmx motif mpeg ncurses nls nptl oggvorbis opengl oss pam pdflib perl png python quicktime readline sdl slang sse ssl svga tcpd tiff truetype x86 xml2 xmms xprint xv zlib"
Comment 3 Peter Gordon (RETIRED) gentoo-dev 2004-11-16 16:54:27 UTC
Does it work when you use less aggressive your C(XX)FLAGS? Try "-O -march=pentium4"
Comment 4 John5788 2004-11-16 17:00:59 UTC
That works, someone should update the ebuild stripping the CFLAGs that are bad
Comment 5 SpanKY gentoo-dev 2004-11-29 19:48:52 UTC
maybe you should use sane CFLAGS
Comment 6 Timmy Douglas 2004-12-03 12:39:11 UTC
/bin/sh ../../../libtool --mode=compile i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I../../../include   -DHAVE_AV_CONFIG_H -I./.. -Wall -Wno-unused -I../../../include  -march=athlon-xp -g -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE  -c fdct_mmx.c
dsputil_mmx.c: In function `transpose4x4':
dsputil_mmx.c:615: error: can't find a register in class `GENERAL_REGS' while reloading `asm'
dsputil_mmx.c: In function `dsputil_init_mmx':
dsputil_mmx.c:3081: warning: assignment from incompatible pointer type
dsputil_mmx.c:3082: warning: assignment from incompatible pointer type
make[3]: *** [dsputil_mmx.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I../../../include -DHAVE_AV_CONFIG_H -I./.. -Wall -Wno-unused -I../../../include -march=athlon-xp -g -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -c fdct_mmx.c  -fPIC -DPIC -o .libs/fdct_mmx.o
make[3]: Leaving directory `/var/tmp/portage/avifile-0.7.41.20041001-r1/work/avifile-0.7-0.7.41/ffmpeg/libavcodec/i386'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/avifile-0.7.41.20041001-r1/work/avifile-0.7-0.7.41/ffmpeg/libavcodec'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/avifile-0.7.41.20041001-r1/work/avifile-0.7-0.7.41/ffmpeg'
make: *** [all-recursive] Error 1

!!! ERROR: media-video/avifile-0.7.41.20041001-r1 failed.
!!! Function src_compile, Line 139, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.


Portage 2.0.51-r8 (gcc34-x86-2004.2, gcc-hardenednossp, glibc-2.2.5-r2,glibc-2.3.4.20041102-r0, 2.6.9-rc4 i686)
=================================================================
System uname: 2.6.9-rc4 i686 AMD Athlon(tm) XP 1600+
Gentoo Base System version 1.6.6
Python:              dev-lang/python-2.2.3-r5,dev-lang/python-2.1.3-r1,dev-lang/python-2.3.4 [2.3.4 (#1, Jul  6 2004, 21:33:43)]
ccache version 2.3 [enabled]
dev-lang/python:     2.2.3-r5, 2.1.3-r1, 2.3.4
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.9.3, 1.6.3, 1.7.9, 1.8.5-r2, 1.4_p6, 1.5
sys-devel/binutils:  2.15.92.0.2-r1
sys-devel/libtool:   1.5.10
virtual/os-headers:  2.4.18, 2.4.19-r1, 2.4.22
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=athlon-xp -g -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3.1/share/config /usr/kde/3.2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon-xp -g -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache distlocks fixpackages nostrip sandbox"
GENTOO_MIRRORS="http://mirrors.tds.net/gentoo http://gentoo.oregonstate.edu http://www.ibiblio.org/pub/Linux/distributions/gentoo http://csociety-ftp.ecn.purdue.edu/pub/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X aalib aim alsa apache2 apm arts avi berkdb bitmap-fonts bonobo canna cjk crypt dga divx4linux dvd emacs encode esd f77 foomaticdb fortran gdbm gif gnome gpm gtk gtk2 gtkhtml guile iconv imap imlib ipv6 java jpeg leim libg++ libwww mad mikmod mmap motif mozilla mpeg msn ncurses network nls nostrip oggvorbis oss pam pdflib perl png postgres python qt quicktime readline sdl slang spell ssl svga tcpd truetype unicode x86 xml2 xmms xv zlib"


Comment 7 Timmy Douglas 2004-12-03 12:54:01 UTC
your error message is from the transcode build i think not the avifile one. here is my transcode one:

 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I../.. -D_REENTRANT -I../.. -I../../filter -I../../src -I../../libvo -fomit-frame-pointer -Wall -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -march=athlon-xp -g -pipe -DDCT_YUV_PRECISION=1 -MT postprocess.lo -MD -MP -MF .deps/postprocess.Tpo -c postprocess.c  -fPIC -DPIC -o .libs/postprocess.o
In file included from postprocess.c:514:
postprocess_template.c: In function `blockCopy_MMX':
postprocess_template.c:2624: error: can't find a register in class `GENERAL_REGS' while reloading `asm'
make[3]: *** [postprocess.lo] Error 1
make[3]: Leaving directory `/var/tmp/portage/transcode-0.6.14/work/transcode-0.6.14/filter/pp'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/transcode-0.6.14/work/transcode-0.6.14/filter'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/transcode-0.6.14/work/transcode-0.6.14'
make: *** [all] Error 2

!!! ERROR: media-video/transcode-0.6.14 failed.
!!! Function src_compile, Line 97, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.
Comment 8 Gregg Casillo 2004-12-10 12:50:51 UTC
FWIW, I'm getting similar types of errors with mmx and "...can't find a register in class..." in a couple multimedia related packages like mythtv. Perhaps this is a problem with a larger scope? I have avifile-20041010-r1 installed. I used basic CFLAGS. My emerge info:

Portage 2.0.51-r8 (default-linux/x86/2004.3, gcc-3.4.3, glibc-2.3.4.20041102-r0, 2.6.9-gentoo-r8 i686)
=================================================================
System uname: 2.6.9-gentoo-r8 i686 Intel(R) Pentium(R) 4 CPU 3.00GHz
Gentoo Base System version 1.6.7
Python:              dev-lang/python-2.3.4 [2.3.4 (#1, Nov 21 2004, 13:03:19)]
distcc 2.18.2 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
ccache version 2.3 [enabled]
dev-lang/python:     2.3.4
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.8.5-r2, 1.5, 1.4_p6, 1.6.3, 1.7.9, 1.9.3
sys-devel/binutils:  2.15.92.0.2-r1, 2.15.90.0.1.1-r3
sys-devel/libtool:   1.5.2-r7
virtual/os-headers:  2.6.8.1-r1
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distcc distlocks sandbox sfperms"
GENTOO_MIRRORS="ftp://mirrors.tds.net/gentoo http://mirror.datapipe.net/gentoo"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://neruda/portage"
USE="X acpi alsa apache2 apm arts audiofile avi bash-completion berkdb bzlib cdr crypt cups divx4linux dvd dvdr encode fam flac foomaticdb gdbm gif imap imlib innodb java jpeg kde libg++ libwww mad maildir mikmod mime ming mmx mng mpeg mysql ncurses nls nptl nptlonly oggvorbis openal opengl pam pdflib perl php png python qt quicktime readline samba sdl speex sse ssl tcpd theora tidy tiff truetype unicode usb x86 xinerama xml xml2 xmlrpc xsl xv xvid zlib"
Comment 9 Timmy Douglas 2004-12-10 20:00:02 UTC
well I think the problem stems from people using newer versions of gcc/versions of hardened gcc. but a lot of these packages shouldn't be breaking because of a hardened gcc and it would be nice if someone would fix them
Comment 10 Alex Valentine 2004-12-13 12:08:56 UTC
Is there anyone to get this to build ffmpeg and libavcodec with -mmx? I tried setting a use variable but it didn't seem to work for the lib. Why does this package inlcude all those libs when they are already in portage?

dsputil_mmx.c: In function `dsputil_init_mmx':
dsputil_mmx.c:3081: warning: assignment from incompatible pointer type
dsputil_mmx.c:3082: warning: assignment from incompatible pointer type
dsputil_mmx.c: In function `transpose4x4':
dsputil_mmx.c:615: error: can't find a register in class `GENERAL_REGS' while re loading `asm'
make[3]: *** [dsputil_mmx.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/var/tmp/portage/avifile-0.7.41.20041001-r1/work/avi file-0.7-0.7.41/ffmpeg/libavcodec/i386'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/avifile-0.7.41.20041001-r1/work/avi file-0.7-0.7.41/ffmpeg/libavcodec'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/avifile-0.7.41.20041001-r1/work/avi file-0.7-0.7.41/ffmpeg'
make: *** [all-recursive] Error 1



Comment 11 Alex Valentine 2004-12-13 12:53:55 UTC
I was able to fix this by setting my CFLAGS to "-O2".
Comment 12 Keith Landry 2004-12-13 13:10:00 UTC

Looks like a dup of http://bugs.gentoo.org/show_bug.cgi?id=67832
Comment 13 katerina 2004-12-15 12:30:37 UTC
This is also reminiscent of http://bugs.gentoo.org/show_bug.cgi?id=73254

Here's the error I get on avifile:
dsputil_mmx.c: In function `dsputil_init_mmx':
dsputil_mmx.c:3081: warning: assignment from incompatible pointer type
dsputil_mmx.c:3082: warning: assignment from incompatible pointer type
dsputil_mmx.c: In function `transpose4x4':
dsputil_mmx.c:615: error: can't find a register in class `GENERAL_REGS' while reloading `asm'
make[3]: *** [dsputil_mmx.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
 gcc -DHAVE_CONFIG_H -I. -I. -I../../../include -DHAVE_AV_CONFIG_H -I./.. -Wall -Wno-unused -I../../../include -ggdb3 -march=athlon-xp -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -c mpegvideo_mmx.c  -fPIC -DPIC -o .libs/mpegvideo_mmx.o
make[3]: Leaving directory `/usr/data/portage-build/portage/avifile-0.7.41.20041001-r1/work/avifile-0.7-0.7.41/ffmpeg/libavcodec/i386'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/data/portage-build/portage/avifile-0.7.41.20041001-r1/work/avifile-0.7-0.7.41/ffmpeg/libavcodec'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/data/portage-build/portage/avifile-0.7.41.20041001-r1/work/avifile-0.7-0.7.41/ffmpeg'
make: *** [all-recursive] Error 1

!!! ERROR: media-video/avifile-0.7.41.20041001-r1 failed.

And here's my emerge info:
Portage 2.0.51-r3 (default-linux/x86/2004.0, gcc-3.3.4, glibc-2.3.4.20040808-r1, 2.6.9-gentoo-r4 i686)
=================================================================
System uname: 2.6.9-gentoo-r4 i686 AMD Athlon(TM) XP 2500+
Gentoo Base System version 1.4.16
distcc 2.16 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
Autoconf: sys-devel/autoconf-2.59-r5
Automake: sys-devel/automake-1.8.5-r1
Binutils: sys-devel/binutils-2.15.90.0.1.1-r3
Headers:  sys-kernel/linux26-headers-2.6.8.1-r1
Libtools: sys-devel/libtool-1.5.10-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-ggdb3 -march=athlon-xp -pipe"
CHOST="i686-pc-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/freenet /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-ggdb3 -march=athlon-xp -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig buildpkg ccache distlocks nostrip sandbox sfperms userpriv usersandbox"
GENTOO_MIRRORS="http://mirror.switch.ch/mirror/gentoo/ ftp://gd.tuwien.ac.at/opsys/linux/gentoo/ http://194.149.10.102/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/usr/data/portage-build"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://192.168.0.26/portage"
USE="X aalib acl alsa apm arts audiofile avi berkdb bidi bitmap-fonts cairo canna cdr cjk crypt cscope cups debug directfb doc dvd dvdr emacs encode f77 faad fam flac foomaticdb fortran freewnn gatos gcj gd gdbm gimpprint gphoto2 gpm gtk gtk2 guile imagemagick imlib java javascript jikes jpeg jpeg2k junit kde latex lcms libg++ libwww mad mikmod mmx mng mozilla mpeg mysql ncurses network nls nptl objc oggvorbis openal opengl pam pcre pdflib perl php pic png postgres povray ppds python qt quicktime readline ruby scanner sdl slang socks5 softmmu spell sse ssl tcltk tcpd tetex theora tiff truetype unicode usb wmf x86 xinerama xml xml2 xmms xprint xv zlib video_cards_radeon linguas_eo linguas_en linguas_de linguas_fr linguas_it linguas_ja linguas_ru"

Comment 14 Alexander Puchmayr 2004-12-31 07:17:24 UTC
File lib/common/mmx.cpp fails to compile with CFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer -mfpmath=sse -msse -mmmx -m3dnow -funroll-all-loops".

Error: Symbol "x2" already defined.
Reason: Unroll-all-loops (and maybe unroll-loops, too) unrolls a for-loop containing asm-directives in groups of four, which causes a local assembler symbol ("x2") to be defined four times, resulting in three error messages.

Fix: add a filter-flags "-funroll-all-loops" to the ebuild's src_unpack-section (maybe a -funroll-loops, too; I didn't check), then it compiles without errors.




Comment 15 Stian Skjelstad 2005-01-01 08:54:15 UTC
Created attachment 47322 [details, diff]
Fixes issue mentioned in Comment #14

Uses 2/2f/2b type of label instead of x2. The x1 label is already fixed. Send
this patch upstream aswell?
Comment 16 Stian Skjelstad 2005-01-01 09:10:22 UTC
Reference:

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=13850
Comment 17 Stian Skjelstad 2005-01-01 16:37:48 UTC
reassign this to the gcc herd?

gcc bugzilla database closed the bug, but a minor gcc patch is claimed to fix the problem for now:

http://gcc.gnu.org/bugzilla/attachment.cgi?id=7858&action=view
Comment 18 Chris White (RETIRED) gentoo-dev 2005-03-22 06:10:40 UTC
[multiple bug change]

avifile 0.7.43 is out.  Please confirm your bugs against it.  Update the topic
if you can confirm it to the new version number.  Thanks :).
Comment 19 matt 2005-03-26 21:41:20 UTC
I still get the behavior described in http://bugs.gentoo.org/show_bug.cgi?id=71360#c14 with the latest (avifile-0.7.43.20050224-r1) ebuild

Portage 2.0.51.19 (default-linux/x86/2004.3, gcc-3.4.3-20050110, glibc-2.3.4.20050125-r1, 2.6.11-gentoo-r4 i686)
=================================================================
System uname: 2.6.11-gentoo-r4 i686 AMD Athlon(tm) 64 Processor 3400+
Gentoo Base System version 1.6.10
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Feb 18 2005, 00:14:11)]
dev-lang/python:     2.3.5
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.9.5, 1.5, 1.7.9-r1, 1.4_p6, 1.6.3, 1.8.5-r3
sys-devel/binutils:  2.15.92.0.2-r7
sys-devel/libtool:   1.5.14
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-O3 -march=i686 -funroll-loops -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O3 -march=i686 -funroll-loops -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms"
GENTOO_MIRRORS="http://gentoo.mirrors.pair.com/ ftp://mirrors.tds.net/gentoo ftp://206.75.217.205/ http://mirror.datapipe.net/gentoo http://mirror.datapipe.net/gentoo http://open-systems.ufl.edu/mirrors/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="x86 3dnow X aalib alsa apm arts avi berkdb bitmap-fonts bonobo cdr crypt cups curl directfb dvd dvdr emboss encode esd f77 fam fbcon flac font-server foomaticdb fortran gdbm gif glut gnome gphoto2 gpm gstreamer gtk gtk2 gtkhtml guile hal imagemagick imlib ipv6 java jpeg kde libg++ libwww mad mikmod mmx motif mozilla mp3 mpeg ncurses nls nptl nvidia objc offensive oggvorbis opengl oss pam pdflib perl png python qt quicktime readline sdl slang softmmu spell sqlite sse ssl svga tcltk tcpd tiff truetype truetype-fonts type1-fonts xml xml2 xmms xv zlib"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS
Comment 20 Magnus Ahlberg 2005-03-27 06:11:52 UTC
I get a different error when trying to emerge avifile-0.7.43-20050224:

/usr/lib/gcc/i686-pc-linux-gnu/3.4.3-20050110/../../../libavcodec.so: undefined reference to `a52_syncinfo'
collect2: ld returned 1 exit status
make[2]: *** [avicat] Error 1
make[2]: Leaving directory `/var/tmp/portage/avifile-0.7.43.20050224-r1/work/avifile-0.7-0.7.43/samples/misc'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/avifile-0.7.43.20050224-r1/work/avifile-0.7-0.7.43/samples'
make: *** [all-recursive] Error 1

Is this related or a completely different bug?


My emerge info:
Portage 2.0.51.19 (default-linux/x86/2004.2, gcc-3.4.3-20050110, glibc-2.3.4.20050125-r1, 2.6.11-gentoo-r4 i686)
=================================================================
System uname: 2.6.11-gentoo-r4 i686 Intel(R) Pentium(R) 4 CPU 2.00GHz
Gentoo Base System version 1.6.10
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Feb 20 2005, 15:25:23)]
dev-lang/python:     2.3.5
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.7.9-r1, 1.5, 1.6.3, 1.4_p6, 1.9.5, 1.8.5-r3
sys-devel/binutils:  2.15.92.0.2-r7
sys-devel/libtool:   1.5.14
virtual/os-headers:  2.6.8.1-r2
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-O2 -march=pentium4 -mtune=pentium4 -fomit-frame-pointer -ftracer -fprefetch-loop-arrays -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/bind /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=pentium4 -mtune=pentium4 -fomit-frame-pointer -ftracer -fprefetch-loop-arrays -pipe -fvisibility-inlines-hidden"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms"
GENTOO_MIRRORS="ftp://mirror.pudas.net/gentoo ftp://ftp.du.se/pub/os/gentoo http://ftp.du.se/pub/os/gentoo http://ds.thn.htu.se/linux/gentoo http://mirror.pudas.net/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/fluidportage/trunk"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 4kstacks X aac aalib alsa apache2 apm avi berkdb bitmap-fonts cdr crypt cups curl directfb dri dts dvd emboss encode esd fam flac font-server foomaticdb fortran gdbm gif gimpprint glx gnome gphoto2 gpm gstreamer gtk gtk2 imagemagick imlib ipv6 java jpeg libg++ libwww mad matroska mikmod mmx motif mozilla mp3 mpeg ncurses nls nptl nptlonly oggvorbis opengl oss pam pcmcia pdflib perl png ppds python quicktime readline samba sdl slang spell sqlite sse ssl svg svga tcltk
 tcpd tiff truetype truetype-fonts type1-fonts xml xml2 xmms xv zlib video_cards_radeon"
Unset:  ASFLAGS, CBUILD, CTARGET, LANG, LC_ALL, LDFLAGS
Comment 21 Daniel Rose 2005-03-28 05:11:00 UTC
I am also unable to compile:

/usr/X11R6/lib/libavcodec.so: undefined reference to `a52_syncinfo'
collect2: ld returned 1 exit status
make[1]: *** [aviplay] Fehler 1
make[1]: Leaving directory `/var/tmp/portage/avifile-0.7.43.20050224-r1/work/avifile-0.7-0.7.43/player'
make: *** [all-recursive] Fehler 1

emerge info:
Portage 2.0.51.19 (default-linux/x86/2004.3, gcc-3.4.3-20050110, glibc-2.3.4.20050125-r1, 2.6.11-gentoo-r4 i686)
=================================================================
System uname: 2.6.11-gentoo-r4 i686 AMD Athlon(tm) XP 2800+
Gentoo Base System version 1.6.10
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Feb 18 2005, 15:57:00)]
dev-lang/python:     2.3.5
sys-devel/autoconf:  2.59-r6, 2.13
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.5, 1.4_p6, 1.6.3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r7
sys-devel/libtool:   1.5.14
virtual/os-headers:  2.6.8.1-r4
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks sandbox sfperms"
GENTOO_MIRRORS="http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ http://mir.zyrianes.net/gentoo/ http://ftp.linux.ee/pub/gentoo/distfiles/ ftp://mirror.nutsmaas.nl/gentoo/"
LANG="german"
LC_ALL="de_DE.utf8"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/packages"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowex X aac acpi alsa apm arts audiofile avi berkdb bitmap-fonts cdparanoia cdr crypt cups curl disablexmb divx4linux dvd dvdr dvdread emboss encode faad fam flac font-server foomaticdb fortran ftp gdbm gif gpm gtk gtk2 icq ieee1394 imagemagick imlib jabber java jpeg kde libg++ libwww mad mikmod mmx mmx2 motif mozilla mp3 mpeg msn ncurses nls nptl nptlonly nvidia oggvorbis opengl pam pdflib perl png ppds python qt quicktime readline real samba scanner sdl spell sse ssl svga tcltk tcpd tiff truetype truetype-fonts type1-fonts unicode xine xml2 xmms xscreensaver xv yahoo zlib video_cards_nvidia linguas_de"
Unset:  ASFLAGS, CBUILD, CTARGET, LDFLAGS

Comment 22 Roel Brook 2005-04-02 18:21:17 UTC
I'm glad I'm not the only one experiencing this bug:

i686-pc-linux-gnu-g++ -march=athlon-xp -O3 -pipe -fomit-frame-pointer -mmmx -msse -m3dnow -mfpmath=sse,387 -ffast-math -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -pipe -o .libs/aviplay actioncfg.o main.o playercontrol.o decoder_config.o configdialog.o configdialog_impl.o -Wl,-rpath -Wl,/usr/lib  ../libavqt/.libs/libqavm.so /var/tmp/portage/avifile-0.7.43.20050224-r1/work/avifile-0.7-0.7.43/lib/.libs/libaviplay.so -L/usr/i686-pc-linux-gnu/bin -L/usr/i686-pc-linux-gnu/lib -L/usr/lib/gcc/i686-pc-linux-gnu/../../../i686-pc-linux-gnu/lib -L/usr/lib/../i686-pc-linux-gnu/lib -L/usr/X11R6/lib -L/usr/qt/3/lib -L/usr/lib/mysql /usr/qt/3/lib/libqt-mt.so /usr/lib/libmng.so /usr/lib/libjpeg.so -lpng -lXrandr -lXcursor ../lib/.libs/libaviplay.so -lavformat -lavcodec -lXft /usr/lib/libfontconfig.so /usr/lib/libfreetype.so -lz /usr/lib/libexpat.so -lXrender /usr/lib/libSDL.so //usr/lib/gcc/i686-pc-linux-gnu/3.4.3-20050110/libstdc++.so -lgcc_s -lc -lvga /usr/lib/libaa.so -lslang -lm -lgpm -lpthread -lSM -lICE -lXinerama -lXv -lXxf86vm -lXxf86dga -lXi -lXext -lX11 -lnsl -ldl -Wl,--rpath -Wl,/usr/qt/3/lib -Wl,--rpath -Wl,//usr/lib/gcc/i686-pc-linux-gnu/3.4.3-20050110
/usr/X11R6/lib/libavcodec.so: undefined reference to `a52_syncinfo'
collect2: ld returned 1 exit status
make[1]: *** [aviplay] Fout 1
make[1]: Leaving directory `/var/tmp/portage/avifile-0.7.43.20050224-r1/work/avifile-0.7-0.7.43/player'
make: *** [all-recursive] Fout 1

Portage 2.0.51.19 (default-linux/x86/2004.3, gcc-3.4.3-20050110, glibc-2.3.4.20050125-r1, 2.6.11-love1 i686)
=================================================================
System uname: 2.6.11-love1 i686 AMD Athlon(tm) XP 2500+
Gentoo Base System version 1.6.10
Python:              dev-lang/python-2.3.5 [2.3.5 (#1, Feb 18 2005, 00:46:55)]distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
dev-lang/python:     2.3.5
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.7.9-r1, 1.8.5-r3, 1.6.3, 1.5, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r7
sys-devel/libtool:   1.5.14
virtual/os-headers:  2.6.8.1-r4
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer -mmmx -msse -m3dnow -mfpmath=sse,387 -ffast-math"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/fax /usr/lib/mozilla/defaults/pref /usr/share/config /var/qmail/alias /var/qmail/control /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer -mmmx -msse -m3dnow -m fpmath=sse,387 -ffast-math"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs autoconfig ccache distlocks parallel-fetch sandbox sfperms"GENTOO_MIRRORS="http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ ftp://gd.tuwien.ac.at/opsys/linux/gentoo/ ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LANG="nl_NL@euro"
LC_ALL="nl_NL@euro"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowex X aalib alsa apache2 apm arts audiofile avi bash-completion bitmap-fonts bonobo bzlib calender cdparanoia cdr chipcard chroot crypt cupscurl dba divx4linux dvd dvdr dvdread emboss encode esd fam festival filepro flac font-server foomaticdb fortran gd gdbm gif gnome gphoto2 gpm gstreamer gtk gtk2 guile hal imagemagick imlib insecure-drivers java jpeg jpeg2k junit kde ldap li bg++ libwww live mad mikmod mime mmx mmxext mono motif mozdevelop mozilla moznomail moznoxft mp3 mpeg mplayer msn mysql ncurses network nls nptl nvidia odbc offensive oggvorbis ooo-kde opengl pam pdflib perl php pic png postgres python qmail qt quicktime readline real rplay samba scanner sdk sdl session sftplogging slang softmmu speex spell sqlite sse ssl stroke svga tcltk tcpd threads tiff truetype truetype-fonts type1-fonts usb userlocales v4l wmf xine xinerama xml xml2 xmms xprint xscreensaver xv xvid zlib video_cards_nvidia linguas_nl"
Unset:  ASFLAGS, CBUILD, CTARGET, LDFLAGS
Comment 23 Timmy Douglas 2005-04-02 22:37:26 UTC
well there are a lot of people that still see this problem, but is anything going to be done? i've noticed a lot of bugs get reported, they sit, and then someone says to try the new version, repeat, etc. Is there that we can be done to keep this from happening?


Comment 24 Luca Barbato gentoo-dev 2005-04-02 22:50:02 UTC
Sorry but we are a bit understaffed and we can't follow everything as quickly as we would like.

As workaround please emerge ffmpeg with aac flag enabled
Comment 25 Luca Barbato gentoo-dev 2005-04-02 23:51:34 UTC
 /usr/X11R6/lib/libavcodec.so

are you using the latest xorg-x11 or you have something wierd going on?
Comment 26 Daniel Rose 2005-04-03 04:21:52 UTC
Well, I already /have/ ffmpeg emerged with +aac. But with no influence on this error.
Comment 27 Roel Brook 2005-04-03 10:13:50 UTC
in reply to #25:

I do have something weird going on I'm afraid:

/usr/X11R6/lib/libavcodec.so                                (~)
zsh: segmentation fault  /usr/X11R6/lib/libavcodec.so

Or isn't this supposed to be executed? I dindn't need to chmod +x the file, so I guess it's supposed to do SOMETHING (at least not segfault :/)

I re-emerged ffmpeg with aac USE and this fixed the issue I had. Avifile compiles cleanly now.

As metioned in #26, it doesn't seem to fix it for everyone though...

Did the error change at all?
Comment 28 Daniel Rose 2005-04-03 13:00:17 UTC
Tried it again after emerging the new ffmpeg-0.4.9_p20050226-r2 and now it works!
Anyone who still has this error?
Comment 29 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-04-17 18:02:34 UTC
Newer avifile should use external ffmpeg which is already fixed for those problems, can you confirm this?
Comment 30 Diego Elio Pettenò (RETIRED) gentoo-dev 2005-04-17 18:05:56 UTC
*** Bug 74310 has been marked as a duplicate of this bug. ***
Comment 31 Jeremy Huddleston (RETIRED) gentoo-dev 2005-04-25 18:17:27 UTC
Closing due to lack of response.
Comment 32 Timmy Douglas 2005-05-07 21:09:43 UTC
/bin/sh ../../libtool --mode=compile i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../include   -Wall -Wno-unused -I../../include  -march=athlon-xp -g -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -pipe -c -o mmx.lo `test -f 'mmx.cpp' || echo './'`mmx.cpp
 i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../include -Wall -Wno-unused -I../../include -march=athlon-xp -g -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -pipe -c Locker.cpp -MT Locker.lo -MD -MP -MF .deps/Locker.TPlo  -fPIC -DPIC -o .libs/Locker.o
 i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../include -Wall -Wno-unused -I../../include -march=athlon-xp -g -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -pipe -c Locker.cpp -MT Locker.lo -MD -MP -MF .deps/Locker.TPlo -o Locker.o >/dev/null 2>&1
source='Registry.cpp' object='Registry.lo' libtool=yes \
depfile='.deps/Registry.Plo' tmpdepfile='.deps/Registry.TPlo' \
depmode=gcc3 /bin/sh ../../admin/depcomp \
/bin/sh ../../libtool --mode=compile i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../include   -Wall -Wno-unused -I../../include  -march=athlon-xp -g -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -pipe -c -o Registry.lo `test -f 'Registry.cpp' || echo './'`Registry.cpp
 i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../include -Wall -Wno-unused -I../../include -march=athlon-xp -g -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -pipe -c mmx.cpp -MT mmx.lo -MD -MP -MF .deps/mmx.TPlo  -fPIC -DPIC -o .libs/mmx.o
mmx.cpp: In function `void zoom_16_bpp(uint16_t*, const uint16_t*, int, int, int, int, int)':
mmx.cpp:137: error: can't find a register in class `GENERAL_REGS' while reloading `asm'
make[2]: *** [mmx.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
 i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../include -Wall -Wno-unused -I../../include -march=athlon-xp -g -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -pipe -c Registry.cpp -MT Registry.lo -MD -MP -MF .deps/Registry.TPlo  -fPIC -DPIC -o .libs/Registry.o
 i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../include -Wall -Wno-unused -I../../include -march=athlon-xp -g -pipe -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -pipe -c Registry.cpp -MT Registry.lo -MD -MP -MF .deps/Registry.TPlo -o Registry.o >/dev/null 2>&1
make[2]: Leaving directory `/var/tmp/portage/avifile-0.7.43.20050224-r1/work/avifile-0.7-0.7.43/lib/common'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/avifile-0.7.43.20050224-r1/work/avifile-0.7-0.7.43/lib'
make: *** [all-recursive] Error 1

!!! ERROR: media-video/avifile-0.7.43.20050224-r1 failed.
!!! Function src_compile, Line 145, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.



Portage 2.0.51.21-r1 (default-linux/x86/2004.2/gcc34, gcc-3.4.3-20050110, glibc-2.2.5-r2,glibc-2.3.5-r0, 2.6.11.8 i686)
=================================================================
System uname: 2.6.11.8 i686 AMD Athlon(tm) XP 1600+
Gentoo Base System version 1.6.10
ccache version 2.4 [disabled]
dev-lang/python:     2.1.3-r1, 2.2.3-r5, 2.3.5
sys-apps/sandbox:    1.2.5-r1
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r8
sys-devel/libtool:   1.5.16
virtual/os-headers:  2.4.18, 2.4.19-r1, 2.6.11
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon-xp -g -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3.1/share/config /usr/kde/3.2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib/mozilla/defaults/pref /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=athlon-xp -g -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks fixpackages nostrip sandbox sfperms strict"
GENTOO_MIRRORS="http://mirrors.tds.net/gentoo http://gentoo.oregonstate.edu http://www.ibiblio.org/pub/Linux/distributions/gentoo http://csociety-ftp.ecn.purdue.edu/pub/gentoo/"
LC_ALL="zh_TW.UTF-8"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="x86 X aalib aim alsa apache2 apm arts avi berkdb bitmap-fonts bonobo canna cjk crypt curl dga divx4linux dvd eds emacs emboss encode esd fam flac font-server foomaticdb fortran gd gdbm gif gnome gpm gstreamer gtk gtk2 gtkhtml guile iconv imagemagick imap imlib ipv6 java jpeg junit kde leim libg++ libwww mad mikmod mmap motif mozilla mp3 mpeg msn ncurses network nls nostrip ogg oggvorbis opengl oss pam pdflib perl png postgres python qt quicktime readline samba sdl slang spell ssl svga tcpd tiff truetype truetype-fonts type1-fonts unicode vorbis xine xml xml2 xmms xv zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LDFLAGS, LINGUAS, PORTDIR_OVERLAY